org.eclipse.mat.internal.acquire

## Class ProviderArgumentsSet

- java.lang.Object
- - org.eclipse.mat.internal.acquire.ProviderArgumentsSet

    public class ProviderArgumentsSet
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ProviderArgumentsSet(HeapDumpProviderDescriptor providerDescriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getArgumentValue(ArgumentDescriptor desc)`
`HeapDumpProviderDescriptor` `getProviderDescriptor()`
`Map<ArgumentDescriptor,Object>` `getValues()`
`boolean` `isExecutable()`
`void` `removeArgumentValue(ArgumentDescriptor arg)`
`void` `setArgumentValue(ArgumentDescriptor arg, Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProviderArgumentsSet

    public ProviderArgumentsSet(HeapDumpProviderDescriptor providerDescriptor)

### Method Detail

#### setArgumentValue

    public void setArgumentValue(ArgumentDescriptor arg,
                                 Object value)

#### isExecutable

    public boolean isExecutable()

#### removeArgumentValue

    public void removeArgumentValue(ArgumentDescriptor arg)

#### getArgumentValue

    public Object getArgumentValue(ArgumentDescriptor desc)

#### getProviderDescriptor

    public HeapDumpProviderDescriptor getProviderDescriptor()

#### getValues

    public Map<ArgumentDescriptor,Object> getValues()